summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
author Giuseppe Di Terlizzi <giuseppe.diterlizzi@gmail.com>2015-04-10 17:22:07 +0700
committer Willy Sudiarto Raharjo <willysr@slackbuilds.org>2015-04-10 17:22:07 +0700
commit09af7691b2cb195d52deb067e720e782cbbdc21d (patch)
treeeb6c742dfa89481de2957a186280a87794e02f0c
parent7535c3fa2dbcd3962b84644f9836125fc3b5e147 (diff)
downloadslackbuilds-09af7691b2cb195d52deb067e720e782cbbdc21d.tar.gz
slackbuilds-09af7691b2cb195d52deb067e720e782cbbdc21d.tar.xz
development/tora: Added (database management).
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
-rw-r--r--development/tora/README7
-rw-r--r--development/tora/doinst.sh3
-rw-r--r--development/tora/include_unistd.patch11
-rw-r--r--development/tora/slack-desc19
-rw-r--r--development/tora/tora.SlackBuild113
-rw-r--r--development/tora/tora.info10
6 files changed, 163 insertions, 0 deletions
diff --git a/development/tora/README b/development/tora/README
new file mode 100644
index 0000000000..e1c08a248a
--- /dev/null
+++ b/development/tora/README
@@ -0,0 +1,7 @@
+TOra is an open-source multi-platform database management GUI that supports
+accessing most of the common database platforms in use, including Oracle, MySQL,
+and Postgres, as well as limited support for any target that can be accessed
+through Qt's ODBC support.
+
+For Oracle DBMS support, run the script like this,
+ ORACLE_HOME=/path/to/oracle/home ./tora.Slackbuild
diff --git a/development/tora/doinst.sh b/development/tora/doinst.sh
new file mode 100644
index 0000000000..5fb28930db
--- /dev/null
+++ b/development/tora/doinst.sh
@@ -0,0 +1,3 @@
+if [ -x /usr/bin/update-desktop-database ]; then
+ /usr/bin/update-desktop-database -q usr/share/applications >/dev/null 2>&1
+fi
diff --git a/development/tora/include_unistd.patch b/development/tora/include_unistd.patch
new file mode 100644
index 0000000000..be3ca2f88a
--- /dev/null
+++ b/development/tora/include_unistd.patch
@@ -0,0 +1,11 @@
+diff -aur tora-2.1.3/src/toextract.h tora-2.1.3patched/src/toextract.h
+--- tora-2.1.3/src/toextract.h 2010-02-02 10:25:43.000000000 -0800
++++ tora-2.1.3patched/src/toextract.h 2012-06-22 21:58:45.026286147 -0700
+@@ -53,6 +53,7 @@
+ #include <qvariant.h>
+ //Added by qt3to4:
+ #include <QString>
++#include <unistd.h>
+
+ class QWidget;
+ class toConnection;
diff --git a/development/tora/slack-desc b/development/tora/slack-desc
new file mode 100644
index 0000000000..8448831edf
--- /dev/null
+++ b/development/tora/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler-------------------------------------------------------|
+tora: tora (database management)
+tora:
+tora: TOra is an open-source multi-platform database management GUI that
+tora: supports accessing most of the common database platforms in use,
+tora: including Oracle, MySQL, and Postgres, as well as limited support for
+tora: any target that can be accessed through Qt's ODBC support.
+tora:
+tora: Homepage: http://torasql.com
+tora:
+tora:
+tora:
diff --git a/development/tora/tora.SlackBuild b/development/tora/tora.SlackBuild
new file mode 100644
index 0000000000..343e5b546e
--- /dev/null
+++ b/development/tora/tora.SlackBuild
@@ -0,0 +1,113 @@
+#!/bin/sh
+
+# Slackware build script for TOra
+
+# Copyright (c) 2013-2014 Giuseppe Di Terlizzi <giuseppe.diterlizzi@gmail.com>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR "AS IS" AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=tora
+VERSION=${VERSION:-2.1.3}
+BUILD=${BUILD:-1}
+TAG=${TAG:-SBo}
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.bz2
+cd $PRGNAM-$VERSION
+
+patch -Np1 -i "${CWD}/include_unistd.patch"
+
+chown -R root:root .
+find -L . \
+ \( -perm 777 -o -perm 775 -o -perm 750 -o -perm 711 -o -perm 555 \
+ -o -perm 511 \) -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 640 -o -perm 600 -o -perm 444 \
+ -o -perm 440 -o -perm 400 \) -exec chmod 644 {} \;
+
+mkdir -p build
+cd build
+ cmake \
+ -DCMAKE_C_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_CXX_FLAGS:STRING="$SLKCFLAGS" \
+ -DCMAKE_INSTALL_PREFIX=/usr \
+ -DLIB_SUFFIX=${LIBDIRSUFFIX} \
+ -DWANT_INTERNAL_QSCINTILLA=0 \
+ -DCMAKE_BUILD_TYPE=Release ..
+
+ make
+ make install DESTDIR=$PKG
+
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION/help/images
+mkdir -p $PKG/usr/share/icons/hicolor/{32x32,16x16}/apps
+mkdir -p $PKG/usr/share/applications
+
+( cd $TMP/$PRGNAM-$VERSION
+ cp -a AUTHORS BUGS ChangeLog COPYING* README* TODO NEWS $PKG/usr/doc/$PRGNAM-$VERSION
+ cp -a src/help/*.html $PKG/usr/doc/$PRGNAM-$VERSION/help
+ cp -a src/help/images/*.png $PKG/usr/doc/$PRGNAM-$VERSION/help/images
+ cp -a src/icons/tora.xpm $PKG/usr/share/icons/hicolor/32x32/apps
+ cp -a src/icons/toramini.xpm $PKG/usr/share/icons/hicolor/16x16/apps/tora.xpm
+ cp -a debian/tora.desktop $PKG/usr/share/applications
+)
+
+rm -rf $PKG/usr/share/doc/tora/
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/development/tora/tora.info b/development/tora/tora.info
new file mode 100644
index 0000000000..a03ef294b4
--- /dev/null
+++ b/development/tora/tora.info
@@ -0,0 +1,10 @@
+PRGNAM="tora"
+VERSION="2.1.3"
+HOMEPAGE="http://torasql.com"
+DOWNLOAD="http://sourceforge.net/projects/tora/files/tora/2.1.3/tora-2.1.3.tar.bz2"
+MD5SUM="b3a4b5c827c300e75eea53874634e8a2"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES=""
+MAINTAINER="Giuseppe Di Terlizzi"
+EMAIL="giuseppe.diterlizzi@gmail.com"